{% from "geoserver/map.jinja" import geoserver with context %}

include:
  - geoserver.plugins
  - geoserver.data_dir

{% for instance, config in geoserver.instances.items() %}
{% if config.clustering.enabled %}
{{ instance }}_geoserver_cluster_properties:
  file.managed:
    - name: {{ config.CLUSTER_CONFIG_DIR | path_join('cluster.properties') }}
    - contents: |
        CLUSTER_CONFIG_DIR={{ config.CLUSTER_CONFIG_DIR }}
        {%- for cl_name, cl_value in config.clustering.config|dictsort %}
        {{ cl_name }}={{ cl_value }} 
        {%- endfor %}
    - user: {{ config.user }}
    - group: {{ config.group }}
    - mode: 644
    - makedirs: True
    - require:
      - archive: {{ instance }}_geoserver_plugin_jms-cluster
      - file: {{ instance }}_geoserver_data_dir_permissions
{% endif %}
{% endfor %}
